Package twisted :: Package protocols :: Module dict :: Class DictLookupFactory

[show private | hide private]
[frames | no frames]

## Class DictLookupFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   DictLookupFactory

Utility factory for a single dict transaction

Method Summary
| `__init__(self, queryType, param, d)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| `clientConnectionFailed(self, connector, error)`
| `clientConnectionLost(self, connector, error)`
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `DictLookup`
`NoneType` | `done`

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Class Variable Details

### DictLookup

`DictLookup` = `twisted.protocols.dict.DictLookup`

### done

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:18:36 2003 | http://epydoc.sf.net